Bug 806987 - SELinux is preventing /usr/bin/wineserver from using the 'ptrace' accesses on a process.
SELinux is preventing /usr/bin/wineserver from using the 'ptrace' accesses on...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:16d7543e4c14874a5d447d6c2a8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-26 13:18 EDT by Mikhail
Modified: 2012-03-28 03:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-28 03:59:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikhail 2012-03-26 13:18:10 EDT
libreport version: 2.0.8
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.3.0-1.fc17.i686.PAE
reason:         SELinux is preventing /usr/bin/wineserver from using the 'ptrace' accesses on a process.
time:           Mon 26 Mar 2012 11:18:00 PM YEKT

description:
:SELinux is preventing /usr/bin/wineserver from using the 'ptrace' accesses on a process.
:
:*****  Plugin catchall_boolean (89.3 confidence) suggests  *******************
:
:If you want to allow sysadm to debug or ptrace all processes.
:Then you must tell SELinux about this by enabling the 'deny_ptrace'boolean.
:Do
:setsebool -P deny_ptrace 0
:
:*****  Plugin catchall (11.6 confidence) suggests  ***************************
:
:If you believe that wineserver should be allowed ptrace access on processes labeled wine_t by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep wineserver /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:wine_t:s0-s0:c0.c1023
:Target Context                unconfined_u:unconfined_r:wine_t:s0-s0:c0.c1023
:Target Objects                 [ process ]
:Source                        wineserver
:Source Path                   /usr/bin/wineserver
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           wine-wow-1.5.0-2.fc17.i686
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-106.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.0-1.fc17.i686.PAE #1 SMP Mon Mar 19
:                              03:11:34 UTC 2012 i686 i686
:Alert Count                   2
:First Seen                    Mon 26 Mar 2012 11:16:53 PM YEKT
:Last Seen                     Mon 26 Mar 2012 11:17:44 PM YEKT
:Local ID                      b12db672-f694-4b75-afb8-6a5aa9818742
:
:Raw Audit Messages
:type=AVC msg=audit(1332782264.620:151): avc:  denied  { ptrace } for  pid=3067 comm="wineserver" scontext=unconfined_u:unconfined_r:wine_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:wine_t:s0-s0:c0.c1023 tclass=process
:
:
:type=SYSCALL msg=audit(1332782264.620:151): arch=i386 syscall=ptrace success=no exit=EACCES a0=10 a1=bf8 a2=0 a3=0 items=0 ppid=1 pid=3067 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=4 comm=wineserver exe=/usr/bin/wineserver subj=unconfined_u:unconfined_r:wine_t:s0-s0:c0.c1023 key=(null)
:
:Hash: wineserver,wine_t,wine_t,process,ptrace
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Daniel Walsh 2012-03-27 15:16:09 EDT
If wine is not working for you, you either need to turn the boolean off.

# setsebool -P deny_ptrace 1

Or add a custom module.  We are working on a fix for the kernel to allow a process to ptrace its child, which also might fix this problem.
Comment 2 Miroslav Grepl 2012-03-28 03:59:35 EDT
We have opened bug on the kernel component. I am going to close this bug.

Note You need to log in before you can comment on or make changes to this bug.